﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;


namespace MP3Player
{
    public partial class Form1 : Form
    {
        string[] imageFileNames;
        int iFileIndex;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            btnStop.Enabled = false;
            axPlayer.settings.autoStart = false;
            axPlayer.URL = @"C:\Users\Public\Music\Sample Music\Kalimba.mp3";
            tbxName.Text = "Kalimba.mp3";

            string strImagePath = @"C:\Users\Public\Pictures\Sample Pictures\Koala.jpg";
            pbxView.Image = System.Drawing.Image.FromFile(strImagePath);

            string strImageFolder = @"C:\Users\Public\Pictures\Sample Pictures";
            imageFileNames = System.IO.Directory.GetFiles(strImageFolder, "*.jpg");
        }

        private void btnPlay_Click(object sender, EventArgs e)
        {
            axPlayer.Ctlcontrols.play();
            btnStop.Enabled = true;
            btnPlay.Enabled = false;

            if (imageFileNames.Length > 0)
            {
                iFileIndex = imageFileNames.Length - 1; 
                pbxView.Image = 
                            System.Drawing.Image.FromFile(imageFileNames[iFileIndex]);
                tmInterval.Enabled = true;
            }
        }

        private void btnStop_Click(object sender, EventArgs e)
        {
            axPlayer.Ctlcontrols.stop();
            btnStop.Enabled = false;
            btnPlay.Enabled = true;

            tmInterval.Enabled = false;
        }

        private void btnOpen_Click(object sender, EventArgs e)
        {
            dlgFileOpen.InitialDirectory = @"C:\Users\Public\Music\Sample Music";
            dlgFileOpen.FileName = tbxName.Text;
            dlgFileOpen.Filter = "MP3ファイル(*.mp3)|*.mp3|すべてのファイル(*.*)|*.*";
            dlgFileOpen.Title = "音楽ファイルを選択してください";
            dlgFileOpen.FilterIndex = 1;
            dlgFileOpen.CheckFileExists = true;
            dlgFileOpen.CheckPathExists = true;

            if (dlgFileOpen.ShowDialog() == DialogResult.OK)
            {
                axPlayer.URL = dlgFileOpen.FileName;
                tbxName.Text = System.IO.Path.GetFileName(dlgFileOpen.FileName);
            }
        }

        private void pbxView_DoubleClick(object sender, EventArgs e)
        {
            dlgFileOpen.InitialDirectory = @"C:\Users\Public\Pictures\Sample Pictures";
            dlgFileOpen.FileName = "*.jpg";
            dlgFileOpen.Filter = "画像ファイル(*.jpg)|*.jpg|すべてのファイル(*.*)|*.*";
            dlgFileOpen.Title = "画像ファイルを選択してください";
            dlgFileOpen.FilterIndex = 1;
            dlgFileOpen.CheckFileExists = true;
            dlgFileOpen.CheckPathExists = true;

            if (dlgFileOpen.ShowDialog() == DialogResult.OK)
                pbxView.Image = System.Drawing.Image.FromFile(dlgFileOpen.FileName);
        }

        private void tmInterval_Tick(object sender, EventArgs e)
        {
            iFileIndex--;

            if (iFileIndex == -1)
                iFileIndex = imageFileNames.Length - 1;
            pbxView.Image = System.Drawing.Image.FromFile(imageFileNames[iFileIndex]);
        }
    }
}
